Subject: Re: [PATCH] net: stmmac: dwmac-rk: Fix ethernet on rk3399 based devices

From: Punit Agrawal <[email-masked]>
Date: Mon, 04 Oct 2021 21:06:12 +0900

Andreas Rammhold <[email-masked]> writes:

> On 17:20 02.10.21, Jakub Kicinski wrote:
>> On Sat, 2 Oct 2021 23:33:03 +0200 Andreas Rammhold wrote:
>> > On 16:02 01.10.21, Jakub Kicinski wrote:
>> > > On Wed, 29 Sep 2021 23:02:35 +0200 Heiko Stübner wrote:  
>> > > > On a rk3399-puma which has the described issue,
>> > > > Tested-by: Heiko Stuebner <[email-masked]>  
>> > > 
>> > > Applied, thanks!  
>> > 
>> > This also fixed the issue on a RockPi4.
>> > 
>> > Will any of you submit this to the stable kernels (as this broke within
>> > 3.13 for me) or shall I do that?
>> 
>> I won't. The patch should be in Linus's tree in around 1 week - at which
>> point anyone can request the backport.
>> 
>> That said, as you probably know, 4.4 is the oldest active stable branch,
>> the ship has sailed for anything 3.x.
>
> I am sorry. I meant 5.13.

AFAICT, 2d26f6e39afb ("net: stmmac: dwmac-rk: fix unbalanced
pm_runtime_enable warnings") is not in 5.13 stable.

Either you're not using the stable kernel or there's another issue
breaking things on the RockPi4.